/*
 * ZellenAdresse.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>Ein Objekt im Parsebaum einer Formel, das einen Verweis auf eine andere Zelle enth&auml;lt.</i> */

public class ZellenAdresse implements Knoten
{
   String Adresse;
	 public ZellenAdresse(String a)  { Adresse = a; }
   
	 /** liefert den Wert zur&uuml;ck */
	 public double auswerten()  
   { 
	    Zelle Referenz = Tabkalk.Tabelle().getZelle(Adresse); 
      return Referenz.getWert(); 
   }
}